---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs202t002.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50550, symBinAddr: 0x6210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52490, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52880, symBinAddr: 0x8540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53820, symBinAddr: 0x94E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53830, symBinAddr: 0x94F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x501E0, symBinAddr: 0x60D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x501E4, symBinAddr: 0x60D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x501E8, symBinAddr: 0x60D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50330, symBinAddr: 0x60E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x503E8, symBinAddr: 0x6198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x503EC, symBinAddr: 0x619C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x503F0, symBinAddr: 0x61A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x503F4, symBinAddr: 0x61A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x503F8, symBinAddr: 0x61A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50400, symBinAddr: 0x61B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50418, symBinAddr: 0x61C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50420, symBinAddr: 0x61D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50428, symBinAddr: 0x61D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50430, symBinAddr: 0x61E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50438, symBinAddr: 0x61E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL20thread_suspend_error, symObjAddr: 0x5047A, symBinAddr: 0x61FA, symSize: 0x0 }
  - { offsetInCU: 0x90F9, offset: 0x90F9, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50480, symBinAddr: 0x6200, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x8B0, symSize: 0x80 }
  - { offsetInCU: 0x91E0, offset: 0x91E0, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x800, symSize: 0xB0 }
  - { offsetInCU: 0x923B, offset: 0x923B, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x700, symSize: 0x100 }
  - { offsetInCU: 0x94CE, offset: 0x94CE, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x930, symSize: 0xC0 }
  - { offsetInCU: 0x9520, offset: 0x9520, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x9F0, symSize: 0x220 }
  - { offsetInCU: 0x9705, offset: 0x9705, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xC10, symSize: 0xA0 }
  - { offsetInCU: 0x97B8, offset: 0x97B8, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xCB0, symSize: 0x110 }
  - { offsetInCU: 0x98AE, offset: 0x98AE, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xDC0, symSize: 0x150 }
  - { offsetInCU: 0x99DF, offset: 0x99DF, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xF10, symSize: 0x30 }
  - { offsetInCU: 0x9ACC, offset: 0x9ACC, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0xF40, symSize: 0x150 }
  - { offsetInCU: 0x9CC4, offset: 0x9CC4, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1090, symSize: 0x160 }
  - { offsetInCU: 0x9F84, offset: 0x9F84, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x11F0, symSize: 0x4A0 }
  - { offsetInCU: 0xA21D, offset: 0xA21D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1690, symSize: 0x1B0 }
  - { offsetInCU: 0xA438, offset: 0xA438, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1840, symSize: 0xA0 }
  - { offsetInCU: 0xA55F, offset: 0xA55F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2BC0, symBinAddr: 0x18E0, symSize: 0x2D0 }
  - { offsetInCU: 0xA841, offset: 0xA841, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1BB0, symSize: 0x20 }
  - { offsetInCU: 0xA878, offset: 0xA878, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1BD0, symSize: 0x20 }
  - { offsetInCU: 0xA8AF, offset: 0xA8AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1BF0, symSize: 0x20 }
  - { offsetInCU: 0xAAA2, offset: 0xAAA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1C10, symSize: 0x1A0 }
  - { offsetInCU: 0xADC0, offset: 0xADC0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1DB0, symSize: 0x80 }
  - { offsetInCU: 0xAE89, offset: 0xAE89, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1E30, symSize: 0x6C0 }
  - { offsetInCU: 0xB9FF, offset: 0xB9FF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA160, symBinAddr: 0x3050, symSize: 0xB0 }
  - { offsetInCU: 0xBA76, offset: 0xBA76, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x24F0, symSize: 0x70 }
  - { offsetInCU: 0xBB32, offset: 0xBB32, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2560, symSize: 0xA0 }
  - { offsetInCU: 0xBC69, offset: 0xBC69, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2600, symSize: 0x40 }
  - { offsetInCU: 0xBD5F, offset: 0xBD5F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2640, symSize: 0x2B0 }
  - { offsetInCU: 0xC105, offset: 0xC105, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x28F0, symSize: 0xC0 }
  - { offsetInCU: 0xC24B, offset: 0xC24B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x29B0, symSize: 0x10 }
  - { offsetInCU: 0xC30D, offset: 0xC30D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x29C0, symSize: 0x240 }
  - { offsetInCU: 0xC5F6, offset: 0xC5F6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x2C00, symSize: 0x10 }
  - { offsetInCU: 0xC653, offset: 0xC653, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x2C10, symSize: 0x130 }
  - { offsetInCU: 0xC89E, offset: 0xC89E, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E50, symBinAddr: 0x2D40, symSize: 0x10 }
  - { offsetInCU: 0xC935, offset: 0xC935, size: 0x8, addend: 0x0, symName: _callbackMethodExit, symObjAddr: 0x9E60, symBinAddr: 0x2D50, symSize: 0x160 }
  - { offsetInCU: 0xCBAA, offset: 0xCBAA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_popThreadFrame, symObjAddr: 0x9FC0, symBinAddr: 0x2EB0, symSize: 0xA0 }
  - { offsetInCU: 0xCD13, offset: 0xCD13, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_resumeThread, symObjAddr: 0xA060, symBinAddr: 0x2F50, symSize: 0x90 }
  - { offsetInCU: 0xCE7B, offset: 0xCE7B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS202_hs202t002_hs202t002_isThreadSuspended, symObjAddr: 0xA0F0, symBinAddr: 0x2FE0, symSize: 0x70 }
  - { offsetInCU: 0xCF9F, offset: 0xCF9F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x3100, symSize: 0x36A }
...
